#!/bin/sh
# pinastall.sh # for ntpdate pet
# What this script does:
# 1) It checks if you have the proper ssl and crypto libraries for ntpdate;
# 2) It sets the ntp server configuration file for your country.
# (c) musher0, Aug. 7 2017. GPL3. Please read:
# https://opensource.org/licenses/GPL-3.0
####
A=/usr/lib/libssl.so.1.1;B=/usr/lib/libcrypto.so.1.1
if [ "`ls $A`" != "$A" -o "`ls $B`" != "$B" ];then
# This part gets and installs the libs if not installed in your Puppy. 
	cd ~/my-applications
	wget http://dl.fedoraproject.org/pub/fedora-secondary/releases/26/Everything/i386/os/Packages/o/openssl-libs-1.1.0f-4.fc26.i686.rpm
# This takes a few seconds.
	petget openssl-libs-1.1.0f-4.fc26.i686.rpm
# You may wish to delete this rpm archive when done. 
fi
##
CountrY="${LANG:3:2}";CountrY="${CountrY,,}"
if [ "`grep -v $CountrY /etc/ntp.conf`" ];then
# If you are in Canada, you don't need this part, because 
the configuration file already points to Canadian servers.
	echo "server 0.$CountrY.pool.ntp.org
server 1.$CountrY.pool.ntp.org
server 2.$CountrY.pool.ntp.org
server 3.$CountrY.pool.ntp.org" > /etc/ntp.conf
fi
## Fin | End ##
